> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Vérification de fraude de prêt individuelle

> Évaluez le risque de fraude d'une demande de prêt individuelle à l'aide des données du demandeur et des informations de rapport de crédit en temps réel.

L'endpoint Vérification de fraude de prêt individuelle évalue une demande de prêt en combinant les données soumises du demandeur avec des informations de crédit en temps réel. La réponse comprend un score de risque de fraude, une recommandation et une ventilation des principales métriques financières utilisées dans l'évaluation.

## Endpoint

```
POST /api/v1/loan/fraud_check/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `multipart/form-data` | Oui    |

### Paramètres de corps

| Paramètre                       | Type    | Requis | Description                                                                                  |
| ------------------------------- | ------- | ------ | -------------------------------------------------------------------------------------------- |
| `first_name`                    | string  | Oui    | Prénom du demandeur                                                                          |
| `last_name`                     | string  | Oui    | Nom de famille du demandeur                                                                  |
| `date_of_birth`                 | string  | Oui    | Date de naissance au format `YYYY-MM-DD`                                                     |
| `gender`                        | string  | Oui    | Genre (p. ex., `male`, `female`)                                                             |
| `country`                       | string  | Oui    | Pays de résidence                                                                            |
| `identifier`                    | number  | Non    | Valeur d'identifiant du client (p. ex. BVN pour le Nigéria, un numéro de national ID kenyan) |
| `identifier_type`               | string  | Non    | Clé du type d'identifiant (p. ex. `bvn`, `national_id`, `ghana_card`)                        |
| `current_address`               | string  | Oui    | Adresse résidentielle actuelle                                                               |
| `duration_of_stay`              | string  | Oui    | Durée à l'adresse actuelle (p. ex., `5 years`)                                               |
| `phone_number`                  | string  | Oui    | Numéro de téléphone avec indicatif du pays                                                   |
| `email_address`                 | string  | Oui    | Adresse e-mail du demandeur                                                                  |
| `employment_type`               | string  | Oui    | Type d'emploi (p. ex., `Full-time`, `Self-employed`)                                         |
| `job_role`                      | string  | Oui    | Intitulé ou fonction du poste                                                                |
| `employer_name`                 | string  | Oui    | Nom de l'employeur                                                                           |
| `employer_address`              | string  | Oui    | Adresse de l'employeur                                                                       |
| `annual_income`                 | number  | Oui    | Revenu annuel en monnaie locale                                                              |
| `employment_duration`           | string  | Oui    | Durée de l'emploi actuel                                                                     |
| `loan_amount_requested`         | number  | Oui    | Montant de prêt demandé                                                                      |
| `purpose_of_loan`               | string  | Oui    | Objet du prêt                                                                                |
| `loan_repayment_duration_type`  | string  | Oui    | Unité de la durée de remboursement : `weeks`, `months` ou `years`                            |
| `loan_repayment_duration_value` | integer | Oui    | Nombre de périodes de remboursement                                                          |
| `collateral_required`           | boolean | Oui    | Si une garantie est offerte                                                                  |
| `collateral`                    | string  | Non    | Description de la garantie le cas échéant                                                    |
| `is_individual`                 | boolean | Oui    | Doit être `true` pour les vérifications individuelles                                        |
| `run_aml_check`                 | boolean | Non    | Exécutez une vérification AML sur le demandeur. Par défaut `false`                           |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/v1/loan/fraud_check/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -F "first_name=John" \
    -F "last_name=Doe" \
    -F "date_of_birth=1980-01-01" \
    -F "gender=male" \
    -F "country=Nigeria" \
    -F "identifier=12345678901" \
    -F "identifier_type=bvn" \
    -F "current_address=12 Ojuelegba St" \
    -F "duration_of_stay=5 years" \
    -F "phone_number=+2349105678901" \
    -F "email_address=john.doe@example.com" \
    -F "employment_type=Full-time" \
    -F "job_role=Engineer" \
    -F "employer_name=Smartcomply" \
    -F "employer_address=47 Karimu Ikotun Cl, Yaba, Lagos" \
    -F "annual_income=350000" \
    -F "employment_duration=2 years" \
    -F "loan_amount_requested=100000" \
    -F "purpose_of_loan=Personal Development" \
    -F "loan_repayment_duration_type=weeks" \
    -F "loan_repayment_duration_value=7" \
    -F "collateral_required=false" \
    -F "is_individual=true" \
    -F "run_aml_check=false"
  ```
</CodeGroup>

## Réponse

### 200 OK

| Champ                                              | Type   | Description                                                                |
| -------------------------------------------------- | ------ | -------------------------------------------------------------------------- |
| `data.id`                                          | number | Identifiant interne de l'enregistrement                                    |
| `data.fraud_risk_score`                            | number | Score global de risque de fraude (0–100 ; plus élevé = risque plus grand)  |
| `data.recommendation`                              | string | Évaluation narrative et consignes pour la décision de prêt                 |
| `data.key_financial_analysis.income_stability`     | object | Évaluation de la stabilité des revenus avec score de risque et observation |
| `data.key_financial_analysis.repayment_duration`   | object | Évaluation de l'échéancier de remboursement                                |
| `data.key_financial_analysis.collateral_coverage`  | object | Ratio prêt/garantie et observation                                         |
| `data.key_financial_analysis.debt_serviceability`  | object | Évaluation de la capacité des revenus à couvrir les remboursements         |
| `data.key_financial_analysis.debt_to_income_ratio` | object | Ratio de service de la dette par rapport au seuil de 40 %                  |
| `data.history`                                     | object | Historique du bureau de crédit : prêts totaux, impayés, montants dus       |
| `data.status`                                      | string | Statut de traitement (p. ex., `reviewed`)                                  |

```json theme={null}
{
  "status": "success",
  "data": {
    "id": 101,
    "first_name": "John",
    "last_name": "Doe",
    "date_of_birth": "1980-01-01",
    "country": "Nigeria",
    "current_address": "12 Ojuelegba St",
    "identifier": "12345678901",
    "identifier_type_name": "bvn",
    "bvn": "12345678901",
    "loan_amount_requested": "15000.00",
    "fraud_risk_score": 80,
    "recommendation": "The applicant, John Doe, has applied for a loan of ₦100,000.00. The applicant's total fraud risk score is 80, which is relatively high and warrants further investigation before loan approval.",
    "key_financial_analysis": {
      "income_stability": {
        "risk_score": 100,
        "data_source": "submitted data (estimated)",
        "monthly_income": "29166.67",
        "monthly_expenses": "23333.33",
        "disposable_income": "5833.33",
        "observation": "Disposable ratio of 20% indicates a small buffer between income and expenses."
      },
      "repayment_duration": {
        "risk_score": 70,
        "repayment_duration": "Within 1.75 months"
      },
      "collateral_coverage": {
        "risk_score": 80,
        "loan_amount": "100000.00",
        "collateral_value": "0.00",
        "loan_to_collateral_ratio": "0.00%",
        "observation": "The loan is entirely unsecured."
      },
      "debt_serviceability": {
        "risk_score": 60,
        "loan_amount": "100000.00",
        "total_repayment": "104000.0000",
        "observation": "Monthly repayment significantly exceeds monthly income."
      },
      "debt_to_income_ratio": {
        "risk_score": 90,
        "debt_service_ratio": "203.76%",
        "observation": "Debt Service Ratio exceeds the 40% threshold significantly."
      }
    },
    "history": {
      "totalNoOfLoans": 16,
      "totalNoOfInstitutions": 5,
      "totalNoOfActiveLoans": 1,
      "totalNoOfClosedLoans": 15,
      "totalNoOfPerformingLoans": 16,
      "totalNoOfDelinquentFacilities": 0,
      "highestLoanAmount": 1134330,
      "totalBorrowed": 3761267,
      "totalOutstanding": 0,
      "totalOverdue": 0
    },
    "is_individual": true,
    "is_business": false,
    "status": "reviewed",
    "date_created": "2025-03-28T03:08:47.170109Z"
  },
  "message": "Loan fraud check processed successfully"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/v1/loan/fraud_check/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/v1/loan/fraud_check/:
    post:
      tags:
        - Loan Fraud
      summary: Loan Fraud Check
      operationId: loanFraudCheck
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - loan_amount_requested
                - loan_repayment_duration_type
                - loan_repayment_duration_value
                - collateral_required
              properties:
                first_name:
                  type: string
                  description: Individual applicant first name
                last_name:
                  type: string
                business_name:
                  type: string
                  description: Business name (business applications only)
                date_of_birth:
                  type: string
                  format: date
                gender:
                  type: string
                  enum:
                    - male
                    - female
                country:
                  type: string
                  example: Nigeria
                current_address:
                  type: string
                business_address:
                  type: string
                identifier:
                  type: number
                  description: >-
                    Customer or business identifier value (e.g. BVN for a
                    Nigeria individual, RC number for a Nigeria business, a
                    Kenya national ID number).
                  example: 22244545518
                identifier_type:
                  type: string
                  description: >-
                    Key of the identifier type (e.g. bvn, rc_number,
                    national_id, ghana_card).
                  example: bvn
                phone_number:
                  type: string
                email_address:
                  type: string
                  format: email
                employment_type:
                  type: string
                job_role:
                  type: string
                employer_name:
                  type: string
                annual_income:
                  type: number
                annual_revenue:
                  type: number
                  description: Annual revenue (business only)
                employment_duration:
                  type: string
                bank_name:
                  type: string
                account_number:
                  type: string
                loan_amount_requested:
                  type: number
                  example: 100000
                purpose_of_loan:
                  type: string
                loan_repayment_duration_type:
                  type: string
                  enum:
                    - weeks
                    - months
                    - years
                loan_repayment_duration_value:
                  type: integer
                  example: 6
                collateral_required:
                  type: boolean
                  default: false
                collateral:
                  type: string
                is_individual:
                  type: boolean
                  description: Set true for individual applications
                is_business:
                  type: boolean
                  description: Set true for business applications
                run_aml_check:
                  type: boolean
                  default: false
      responses:
        '200':
          description: Loan fraud check processed
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````